Home_greyopenFATE - openSUSE feature tracking > #305623
Dashboard | Search | Sign up | Login

Please login or register to be able to edit or vote this feature.

Remove gnomesu dependancies from YaST

Feature state

openSUSE-11.2
Duplicate of #305640
Status: Rejected

Description

The Gnome team informs me gnomesu is obsoleted. We need to stop depending on gnomesu on YaST, ideally moving towards PolicyKit as much as possible but at a minimum matching the current mainline Gnome behavior.

Discussion


icons/user_comment.png J. S. wrote: (8 years ago)

The only dependency I found is the yast2-control-center-gnome package; Jared, can you handle it?

icons/user_comment.png J. A. wrote: (8 years ago)

Yes, we'll need to look into an alternative. I'm not sure that PolicyKit itself is enough to replace the functionality of gnomesu. I'll ask Gabriel to look into this.

icons/user_comment.png G. B. wrote: (8 years ago)

$ sudo zypper remove libgnomesu
The following packages are going to be REMOVED:
  deskbar-applet gedit gedit-lang gnome-applets gnome-applets-lang
gnome-python-desktop libgnomeprintui libgnomeprintui-lang libgnomesu libgnomesu0
libgnomesu-lang planner planner-lang tomboy tomboy-lang yast2-control-center-gnome

So those are the packages on a default GNOME install that depend on libgnomesu.

To replace this with something powered by PolicyKit, it looks like gksu is the best option (though Rodrigo wsa working on AdminKit, but it never got traction or a lot of work, from what I can tell).  Vincent has a related FATE feature opened, FATE #305640 - but it's more general, deals with getting rid of gnomesu entirely.  Should we keep these boht open/separate?

The actual usage of gnomesu is coming from a SUSE patch to libgnome-desktop.

icons/user_comment.png S. K. wrote: (8 years ago)

too late for 11.2

Last change: 7 years ago
Voting
Score: 25
  • Negative: 0
  • Neutral: 1
  • Positive: 25
Feature Export
Application-xmlXML   Text-x-logPlaintext   PrinterPrint